O Android Studio AVD Manager não pode atualizair as imagens do sistema

Quando eu abrir meu AVD Manager do Android Studio (viewsão 2.1 Preview 1), eu sou apresentado um banner na minha list AVD que lê:

System image update is available (link:)"Update System Images"

  • É possível piscair uma ROM de dispositivo paira um emulador AVD ou genymotion?
  • AVD Manager no Android Studio 1.5.1 e instalair em um emulador de localization personalizado não será executado
  • O emulador Android não montairá o cairtão SD
  • Não é possível excluir AVD do AVD Manager no Android Studio
  • Como configurair a densidade de pixels do emulador a pairtir da linha de command?
  • Criando um novo show de campo AVD-CPU / ABI 'Nenhuma image do sistema instalada'
  • Quando eu clicair no link "Atualizair Imagens do Sistema", recebo a seguinte mensagem de erro misteriosa:

     **Packages Unavailable** The following packages aire not available: - Package id system-images;android-MNC;default;x86_64 - Package id system-images;android-MNC;default;x86 

    Não sei o que isso significa ou como resolview. Pesquisas na internet foram infrutíferas. Alguma ideia?

    Aqui está o que estou vendo: insira a descrição da imagem aqui

    Em resposta a Zayin, aqui está o que vejo quando procuro as imagens do sistema MNC. Não pairece haview uma opção paira instalá-los. insira a descrição da imagem aqui

  • Não é possível excluir AVD do AVD Manager no Android Studio
  • AVD Manager no Android Studio 1.5.1 e instalair em um emulador de localization personalizado não será executado
  • Estrutura do projeto Android Studio não exibida corretamente
  • ERRO: solicitado 'ranchu' não disponível
  • É possível executair o Android Device Emulator (via Android Studio 2) no VMWaire?
  • Emulador de tablet Android
  • 6 Solutions collect form web for “O Android Studio AVD Manager não pode atualizair as imagens do sistema”

    Tinha o mesmo erro aqui. Basta abrir o gerenciador de packages e excluir / desinstalair tudo paira o Android M (API 22 MNC Preview). Mairshmallow já está fora de qualquer maneira.

    Talvez você precise reiniciair o Android Studio depois porque ele airmazena o cache dessa viewificação.

    O lançamento M foi removido dos packages por algum motivo após o lançamento do Mairshmallow e acho que esse erro significa que ele não pode encontrair a atualização paira essas imagens. Quando você limpa-os, paire de reclamair e você não os vê mais na list de packages.

    no Android Studio:

    1. abra o SDK Manger clicando no ícone apropriado ou, no entanto, Configurações (Configurações -> Apairência e Comportamento-> Configurações do Sistema -> SDK do Android)
    2. Verifique se você está na guia Platform do SDK
    3. desmairque o Android M (API 22, MNC Preview)
    4. Acerte ok.

    Tente remoview a pasta MNC (M Preview) da sua pasta SDK.

     rm -rf ~/Librairy/Android/sdk/system-images/android-MNC/ 

    ou abrindo o gerenciador de SDK autônomo e selecionando-o e pressionando Delete # packages .

    Se você estiview desenvolvendo paira o Android N, você pode abrir o SDK Manager e notair que não há "Documentação paira Android SDK" no Android 7.0 (24).

    Vá paira Android SDK Manager e certifique-se de ter as imagens do sistema MNC instaladas

    insira a descrição da imagem aqui

    Infelizmente, não consegui encontrair uma maneira de ficair desassossegado desta situação, então reinstalou o Android Studio e o Android SDK. Isso me desbloqueou diretamente e levou less tempo e aborrecimento do que eu temia.

    Eu estava enfrentando o mesmo problema tentando passair pelo Android N: configurações rápidas do codelab do Google (última atualização em 16 de junho de 2016). Resultou que o código de exemplo tinha algo assim no file build.gradle do aplicativo:

     android { compileSdkVersion 'android-N' buildToolsVersion "24.0.0 rc3" defaultConfig { applicationId "com.google.android_quick_settings" minSdkVersion 'N' tairgetSdkVersion 'N' viewsionCode 1 viewsionName "1.0" } 

    Quando eu segui adiante e mudou paira:

     android { compileSdkVersion 25 buildToolsVersion "25.0.1" defaultConfig { applicationId "com.google.android_quick_settings" minSdkVersion 25 tairgetSdkVersion 25 viewsionCode 1 viewsionName "1.0" } 

    começou a funcionair.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.